Send campaign
POST /v2/campaigns/{id}/send
Sends a campaign. Only available to consumers flagged for monthly invoicing — the campaign price is billed later via the consumer's monthly invoice.
Path Parameters
Form Data Parameters
The email address used for notifications about the campaign.
When the mailpieces should be released to production. Must be at least 15 minutes from now and less than 90 days from now.
curl -X POST https://www.realmailers.com/v2/campaigns/1/send \
-H 'Authorization: Bearer YOUR_API_KEY USER_EMAIL'
{
template_uid: String
template_id: Number
expected_delivery_date: Timestamp(ISO8601)
scheduled_at: Timestamp(ISO8601)
created_at: Timestamp(ISO8601)
updated_at: Timestamp(ISO8601)
sent_at: Timestamp(ISO8601)
send_copy_to_sender: Boolean
notification_email: String
targeting_method: String
recipient_count: Number
discount_code: String
postage_class: String
price: Number
name: String
id: Number
thumbnails: Array(URL)
proof: URL
status: Enum(
processed_for_delivery
in_local_area
in_production
in_transit
in_queue
mailed
draft)
designs: Array({
thumbnail: URL
height: Number
width: Number
file: URL
crop: {
height: Number
width: Number
y: Number
x: Number
}
})
qr_codes: {
front: Array({
url: String
height: Number
width: Number
y: Number
x: Number
})
back: Array({
url: String
height: Number
width: Number
y: Number
x: Number
})
}
targeting_center: {
coordinates: Array(Number)
postcard_count: Number
address: String
}
template_data: {
landing_page_url: String
square_footage: Number
lot_size_type: String
description: String
maintenance: Number
back_title: String
photos: Array(URL)
bathrooms: Number
bedrooms: Number
lot_size: Number
address: String
label: String
price: Number
taxes: Number
variables: {
key: String
}
}
sender: {
street_address: String
state: String
name: String
city: String
zip: String
logo: URL
}
agent: {
license_number: String
cell_phone: String
first_name: String
last_name: String
landline: String
email: String
photo: URL
}
meta_data: {
key: String
}
}